列出素材
curl --request POST \
--url https://api.novawander.cn/api/v3/seedance \
--header 'Authorization: <authorization>' \
--header 'Content-Type: application/json' \
--data '
{
"Filter.GroupIds": [
{}
],
"Filter.GroupType": "<string>",
"Filter.Statuses": [
{}
],
"Filter.Name": "<string>",
"PageNumber": 123,
"PageSize": 123,
"SortBy": "<string>",
"SortOrder": "<string>",
"ProjectName": "<string>"
}
'Seedance 2.0(/generations/tasks)
列出素材
ListAssets — POST /api/v3/seedance
POST
/
api
/
v3
/
seedance
列出素材
curl --request POST \
--url https://api.novawander.cn/api/v3/seedance \
--header 'Authorization: <authorization>' \
--header 'Content-Type: application/json' \
--data '
{
"Filter.GroupIds": [
{}
],
"Filter.GroupType": "<string>",
"Filter.Statuses": [
{}
],
"Filter.Name": "<string>",
"PageNumber": 123,
"PageSize": 123,
"SortBy": "<string>",
"SortOrder": "<string>",
"ProjectName": "<string>"
}
'简介
按条件查询素材列表。PageNumber / PageSize / Filter.GroupType 必填。
认证
Bearer Token,如
Bearer sk-your_token_key请求参数
按素材组 ID 过滤
AIGC / LivenessFaceActive / Processing / Failed按名称模糊搜索
页码,从 1 开始
每页数量,最多 100
CreateTime / UpdateTime / GroupIdAsc / Desc项目名
SortBy / SortOrder(以及其他未列出的字段)都会原样转发。Status 为 Failed 的 Item 上还会多带 Error: {Code, Message}。请求示例
curl -X POST "https://api.novawander.cn/api/v3/seedance?Action=ListAssets&Version=2024-01-01" \
-H "Authorization: Bearer sk-your_token_key" \
-H "Content-Type: application/json" \
-d '{
"Filter": {"GroupIds": ["group-20260710-abcde"], "Statuses": ["Active"]},
"PageNumber": 1,
"PageSize": 10
}'
响应示例
{
"ResponseMetadata": {"Action": "ListAssets"},
"Result": {
"Items": [
{
"Id": "asset-20260710-xyz",
"Name": "portrait.jpg",
"URL": "https://...(12小时有效签名URL)",
"GroupId": "group-20260710-abcde",
"AssetType": "Image",
"Status": "Active",
"Moderation": {"Strategy": "Default"},
"ProjectName": "default",
"CreateTime": "2026-07-10T00:00:00Z",
"UpdateTime": "2026-07-10T00:00:00Z"
}
],
"TotalCount": 1,
"PageNumber": 1,
"PageSize": 10
}
}
⌘I
